VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4380
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6870
   LinkTopic       =   "Form1"
   ScaleHeight     =   4380
   ScaleWidth      =   6870
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSearchTables 
      Caption         =   "Search Tables"
      Height          =   375
      Left            =   1560
      TabIndex        =   6
      Top             =   840
      Width           =   1335
   End
   Begin VB.TextBox txtResults 
      BackColor       =   &H80000000&
      Height          =   2175
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   5
      Top             =   1320
      Width           =   5895
   End
   Begin VB.TextBox txtFieldLike 
      Height          =   285
      Left            =   960
      TabIndex        =   4
      Text            =   "*id*"
      Top             =   480
      Width           =   5775
   End
   Begin VB.CommandButton cmdSearchFields 
      Caption         =   "Search Fields"
      Height          =   375
      Left            =   4200
      TabIndex        =   2
      Top             =   840
      Width           =   1335
   End
   Begin VB.TextBox txtDatabase 
      Height          =   285
      Left            =   960
      TabIndex        =   1
      Top             =   120
      Width           =   5775
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Field Like"
      Height          =   195
      Index           =   1
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   675
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Database"
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   690
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdSearchFields_Click()
Dim results As String
Dim like_expression As String
Dim db As DAO.Database
Dim table_def As DAO.TableDef
Dim field_def As DAO.Field

    txtResults.Text = ""
    Screen.MousePointer = vbHourglass
    DoEvents

    like_expression = LCase$(txtFieldLike.Text)
    Set db = DBEngine(0).OpenDatabase(txtDatabase.Text)
    For Each table_def In db.TableDefs
        For Each field_def In table_def.Fields
            If LCase$(field_def.Name) Like like_expression Then
                results = results & table_def.Name & _
                    "." & field_def.Name & vbCrLf
            End If
        Next field_def
    Next table_def

    txtResults.Text = results
    Screen.MousePointer = vbDefault
End Sub

Private Sub cmdSearchTables_Click()
Dim results As String
Dim like_expression As String
Dim db As DAO.Database
Dim table_def As DAO.TableDef

    txtResults.Text = ""
    Screen.MousePointer = vbHourglass
    DoEvents

    like_expression = LCase$(txtFieldLike.Text)
    Set db = DBEngine(0).OpenDatabase(txtDatabase.Text)
    For Each table_def In db.TableDefs
        If LCase$(table_def.Name) Like like_expression Then
            results = results & table_def.Name & vbCrLf
        End If
    Next table_def

    txtResults.Text = results
    Screen.MousePointer = vbDefault
End Sub


Private Sub Form_Load()
Dim db_name As String

    db_name = App.Path
    If Right$(db_name, 1) <> "\" Then db_name = db_name & "\"
    txtDatabase.Text = db_name & "several_tables.mdb"
End Sub

Private Sub Form_Resize()
Const GAP As Single = 120
Dim wid As Single
Dim hgt As Single

    wid = ScaleWidth - GAP - txtDatabase.Left
    If wid < GAP Then wid = GAP
    txtDatabase.Width = wid
    txtFieldLike.Width = wid

    wid = (ScaleWidth - 2 * cmdSearchTables.Width) / 3
    cmdSearchTables.Left = wid
    cmdSearchFields.Left = 2 * wid + cmdSearchTables.Width

    hgt = ScaleHeight - txtResults.Top
    If hgt < GAP Then hgt = GAP
    txtResults.Move 0, txtResults.Top, ScaleWidth, hgt
End Sub


